/*----------------------------------------------------------------------+
|									|
|  Copyright (c) 1985-93;  Bentley Systems, Inc., All rights reserved.	|
|									|
| "MicroStation", "MDL", and "MicroCSL" are trademarks of Bentley	|
|  Systems, Inc.							|
|									|
|  Limited permission is hereby granted to reproduce and modify this	|
|  copyrighted material provided that the resulting code is used only 	|
|  in conjunction with Bentley Systems products under the terms of the	|
|  license agreement provided therein, and that this notice is retained	|
|  in its entirety in any such reproduction or modification.		|
|									|
+----------------------------------------------------------------------*/
/*----------------------------------------------------------------------+
|									|
|   $Workfile:   msparse.fdf  $
|   $Revision:   6.0  $
|      	$Date:   Thu Oct 21 10:37:46 1993  $
|									|
+----------------------------------------------------------------------*/
#if !defined (__msparseFDF__)
#define __msparseFDF__

/*----------------------------------------------------------------------+
|									|
|   Header File Dependencies						|
|									|
+----------------------------------------------------------------------*/

#if !defined (__dloadlibH__)
#include "dloadlib.h"
#endif

#if !defined (__mdlH__)
#include "mdl.h"
#endif

#if   defined (__BSI__)
#include	<miparse.fdf>
#endif

/*======================================================================+
|									|
|   Function Definitions						|
|									|
+======================================================================*/

int mdlParse_changeTargetTask
(
void		*appCmdTable,	/* pointer to command table */
char		*taskIdP	/* => task ID to save with table */
);

void *mdlParse_findTableByName /* <= Pointer to command table tree */
(
char		*nameP
);


char *mdlParse_getTableName 	/* => task ID associated with table */
(
void		*appCmdTableP	/* => command table */
);

int mdlParse_keyWord
(
char	    	*tableIdentifierP, /*  => Pointer to command table. */
int	    	 tableNumber,
char	    	*keyWord
);

void *mdlParse_loadCommandTable /* <= Pointer to command table */
(
char		*pTableName	/*  => name of the command table. */
);

void *mdlParse_loadCommandTableByNumber	/* <= pointer to command table */
(
char		*tableNameP,    /*  => name of the command table. */
ULong	 	 tableNum       /*  => desired command table. */
);

void *mdlParse_loadKeywordTable	/* <= pointer to command table */
(
char		*tableNameP,    /*  => name of the command table. */
ULong	 	 tableNum       /*  => desired command table. */
);


void	mdlParse_reconstructFullKeyin
(
char		*commandString, /* <= approx original keyin. */
char		*taskName,	/* => taskid of task owning command. */
ULong		commandNum,	/* => command number. */
char		*unparsed	/* => unparsed portion of string. */
);

MdlFunctionP mdlParse_setFunction
(
int	    	type,		/* => PARSE_... value */
MdlFunctionP    function	/* => function pointer or NULL */
);

void mdlParse_unloadTable
(
void		*appCmdTableP	/* => Command table */
);


#endif
